Bug#632237: /usr/bin/epiphany: Epiphany crashes when cleaning temporary files

James Brown jbrownfirst at gmail.com
Thu Jun 30 18:27:37 UTC 2011

Package: epiphany-browser
Version: 2.30.6-1
Severity: normal
File: /usr/bin/epiphany

Epyphany-browser crashes when cleaning temporary files. That behavior have place when I selecting "saved passwords in the menu "Select the personal data you want to clear":
~$ epiphany

(epiphany-browser:7479): GLib-GObject-WARNING **: invalid cast from `PrefsDialog' to `PdmDialog'
Segmentation fault

-- System Information:
Debian Release: 6.0.2
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'stable-updates')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages epiphany-browser depends on:
ii  dbus-x11           1.2.24-4+squeeze1     simple interprocess messaging syst
ii  epiphany-browser-d 2.30.6-1              Data files for the GNOME web brows
ii  gnome-icon-theme   2.30.3-2              GNOME Desktop icon theme
ii  iso-codes          3.23-1                ISO language, territory, currency,
ii  libavahi-client3   0.6.27-2+squeeze1     Avahi client library
ii  libavahi-common3   0.6.27-2+squeeze1     Avahi common library
ii  libavahi-gobject0  0.6.27-2+squeeze1     Avahi GObject library
ii  libc6              2.11.2-10             Embedded GNU C Library: Shared lib
ii  libcairo2          1.8.10-6              The Cairo 2D vector graphics libra
ii  libdbus-1-3        1.2.24-4+squeeze1     simple interprocess messaging syst
ii  libdbus-glib-1-2   0.88-2.1              simple interprocess messaging syst
ii  libgconf2-4        2.28.1-6              GNOME configuration database syste
ii  libgirepository1.0 0.6.14-1+b1           Library for handling GObject intro
ii  libglib2.0-0       2.24.2-1              The GLib library of C routines
ii  libgnome-keyring0  2.30.1-1              GNOME keyring services library
ii  libgtk2.0-0        2.20.1-2              The GTK+ graphical user interface 
ii  libice6            2:1.0.6-2             X11 Inter-Client Exchange library
ii  libnotify1 [libnot 0.5.0-2               sends desktop notifications to a n
ii  libnspr4-0d        4.8.6-1               NetScape Portable Runtime Library
ii  libnss3-1d         3.12.8-1+squeeze1     Network Security Service libraries
ii  libpango1.0-0      1.28.3-1+squeeze2     Layout and rendering of internatio
ii  libseed0           2.30.0-1+b1           GObject JavaScript bindings for th
ii  libsm6             2:1.1.1-1             X11 Session Management library
ii  libsoup-gnome2.4-1 2.30.2-1              an HTTP library implementation in 
ii  libsoup2.4-1       2.30.2-1              an HTTP library implementation in 
ii  libwebkit-1.0-2    1.2.7-0+squeeze1      Web content engine library for Gtk
ii  libx11-6           2:1.3.3-4             X11 client-side library
ii  libxml2            2.7.8.dfsg-2+squeeze1 GNOME XML library
ii  libxslt1.1         1.1.26-6              XSLT 1.0 processing library - runt

Versions of packages epiphany-browser recommends:
ii  ca-certificates          20090814+nmu2   Common CA certificates
ii  evince                   2.30.3-2        Document (PostScript, PDF) viewer
ii  yelp                     2.30.1+webkit-1 Help browser for GNOME

Versions of packages epiphany-browser suggests:
pn  epiphany-extensions           <none>     (no description available)

-- no debconf information

More information about the pkg-gnome-maintainers mailing list